#### **1. New Interfaces**

- Traditional point-and-click or touchscreens are less common in IoT due to:
    - Cost
    - Space limitations
    - Context-specific constraints

#### **2. Physical Controls**

- Examples: buttons, switches, sliders, rotary knobs.
- Serve both as input and state indicators.
- **Advantages**:
    - Fast, direct control.
    - Good for precise adjustments.
    - Accessibility for visually impaired users.
- **Disadvantages**:
    - Not ideal for frequently updated software.
    - Limited flexibility when multiple control points exist.

#### **3. Lights (LEDs, etc.)**

- Used for:
    - Color coding
    - Blink patterns
    - Quick notifications
- **Advantages**:
    - Non-intrusive, quick-to-understand feedback.
- **Disadvantages**:
    - Inefficient for complex information.

#### **4. Displays and Screens**

- Types: segment displays, monochrome, color screens, E-ink.
- **Advantages**:
    - Dynamic labels.
    - Support for software updates.
- **Disadvantages**:
    - Increased cost.
    - Feature creep (does it work without a display?).
    - Can complicate UX.

#### **5. Audio Output**

- Includes sounds and text-to-speech.
- **Advantages**:
    - Effective for urgent alerts.
    - Can convey emotions.
    - No need for visual attention.
- **Disadvantages**:
    - Can be annoying or disruptive.
    - Unsuitable for silent environments.

#### **6. Voice Input**

- Still unreliable, better for command lists than free speech.
- **Advantages**:
    - Hands-free interaction.
    - Works well with good connectivity and low noise.
- **Disadvantages**:
    - Struggles with complex or multilingual commands.
    - High implementation cost.

#### **7. Tangible and Tactile Interaction**

- Uses physical objects for control (e.g., force touch, vibrations).
- **Advantages**:
    - Intuitive and easy to learn.
    - Provides ambient feedback.
    - Good for educational products.
- **Disadvantages**:
    - Parts may get lost.
    - Requires learning time.
    - Reliability concerns.

#### **8. Gestural Input**

- Includes swipes, pinches, mid-air gestures.
- **Advantages**:
    - Suitable for video games, wearables, short interactions.
- **Disadvantages**:
    - Not good for precise or prolonged interaction.
    - Risk of false positives.

#### **9. Context-Sensitive Interaction**

- Device responds to presence in a specific location.
- **Advantages**:
    - Reduces user effort in managing complexity.
    - Effective when context directly relates to device features.
- **Disadvantages**:
    - Can feel restrictive if the system makes decisions for the user.

#### **10. Computer Vision and Barcodes**

- Includes facial recognition, biometrics, QR codes, OCR.
- **Advantages**:
    - Automates complex manual input.
- **Disadvantages**:
    - Can introduce unnecessary complexity if simpler alternatives exist.